package com.djhk.uav.sysPolice.mapper;


import com.djhk.common.api.domain.SysPoliceFly;

import java.util.List;

public interface SysPoliceFlyMapper {


    /**
     * 查询警员管理数据
     *
     * @param sysPoliceFly 警员信息
     * @return 警员信息集合
     */
    public List<SysPoliceFly> selectPoliceList(SysPoliceFly sysPoliceFly);

    /**
     * 新增保存警员信息
     *
     * @param sysPoliceFly 警员信息
     * @return 结果
     */
    public int insertPolice(SysPoliceFly sysPoliceFly);

    /**
     * 修改保存警员信息
     *
     * @param sysPoliceFly 警员信息
     * @return 结果
     */
    public int updatePolice(SysPoliceFly sysPoliceFly);

    /**
     * 删除警员管理信息
     *
     * @param sysPoliceFlyId 警员ID
     * @return 结果
     */
    public int deletePoliceById(Long sysPoliceFlyId);

}
